Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83527 - empty argument to /sbin/initlog at the top of rc.sysinit
Summary: empty argument to /sbin/initlog at the top of rc.sysinit
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 8.0
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-05 09:42 UTC by SEKINE Tatsuo
Modified: 2014-03-17 02:34 UTC (History)
1 user (show)

Fixed In Version: 7.31-1
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-09-04 01:49:28 UTC


Attachments (Terms of Use)

Description SEKINE Tatsuo 2003-02-05 09:42:59 UTC
Description of problem:

The first valid line of rc.sysinit are:

    if [ -z "$IN_INITLOG" -a -x /sbin/initlog ]; then
        exec /sbin/initlog $INITLOG_ARGS -r /etc/rc.d/rc.sysinit
    fi

/sbin/initlog doesn't define INITLOG_ARGS variable, 
and no configuration file (like /etc/init.d/functions) is not imported
at this time.

Therefore INITLOG_ARGS variable is not defined
except kernel command line such as
  ro root=LABEL=/12 INITLOG_ARGS=-q

Probably, /etc/init.d/functions file should be imported at the top of
rc.sysinit script or other scheme to configure INITLOG_ARGS should be
requierd to reflect BOOTUP configuration (defined in /etc/sysconfig/init).

Version-Release number of selected component (if applicable):
  initscripts-7.06

How reproducible:

Steps to Reproduce:
1.
2.
3.
    
Actual results:


Expected results:


Additional info:

Comment 1 Bill Nottingham 2003-02-05 17:54:00 UTC
Is this causing errors for you?

Comment 2 Bill Nottingham 2003-02-05 17:57:55 UTC
Actually, I'm thinking that the reference to initlog_args there can probably
just be removed.

Comment 3 SEKINE Tatsuo 2003-02-09 11:44:22 UTC
Sorry, It's not BUG.
It doesn't cause any error.

I change severity to "enhancement".



Comment 4 Bill Nottingham 2003-09-04 01:49:28 UTC
Fixed in 7.31-1, thanks!


Note You need to log in before you can comment on or make changes to this bug.